EDIT - bug #9374

ClassCastException when switching between media
01/11/2021 09:51 AM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.21

Severity: normal Found in Version:

Description

When switching between media of one taxon following CCE is thrown:

last remote method : http://api.cybertaxonomy.org:80/cichorieae/remoting/common.service
last remote request client time : 2021-01-06T15:22:55.504
last remote request response header time : Wed, 06 Jan 2021 15:23:20 GMT
client error time : 2021-01-06T15:22:56.843
login : admin
editor version : 5.18.2
server : apil.cybertaxonomy.org (cybertaxonomy.org) / cichorieae
schema version : 5.18.6.0.20201124
os : Windows 10 10.0 amdé64
java : 1.8.0_271
org.eclipse.swt.SWTException: Failed to execute runnable (java.lang.ClassCastException: org.eclips
e.uil.forms.widgets.LayoutComposite cannot be cast to org.eclipse.ui.forms.widgets.ScrolledForm)
at org.eclipse.swt.SWT.error (SWT. java:4533)
at org.eclipse.swt.SWT.error (SWT. java:4448)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:185)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin
gEngine. java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE
ngine.java:1022)
at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav
a:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
at eu.etaxonomy.taxeditor.Application.start (Application. java:20)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl
ipseAppLauncher. java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLa
uncher. java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.ClassCastException: org.eclipse.ui.forms.widgets.LayoutComposite cannot be ca
st to org.eclipse.ui.forms.widgets.ScrolledForm

at eu.etaxonomy.taxeditor.store.StoreUtil.reflowParentScrolledForm(StoreUtil. java:
86)

at eu.etaxonomy.taxeditor.ui.element.ImageElement$l.run (ImageElement. java:105)
at org.eclipse.swt.widgets.RunnableLock.run (RunnablelLock. java:35)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)
23 more

Related issues:
Related to EDIT - bug #9471: Widget is disposed exception when switching away... Closed

History

#1 - 01/11/2021 10:28 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.19

#2 - 01/27/2021 04:44 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#3 - 02/16/2021 02:23 PM - Katja Luther

- Related to bug #9471: Widget is disposed exception when switching away from media before details view is completely loaded added

#4 - 02/16/2021 02:28 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

After fixing #9471 the problem seems to be fixed. Please have a look whether you still can reproduce the exception.

#5 - 02/22/2021 04:22 PM - Andreas Miiller
- Status changed from New to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 100

Difficult to test as it appears from time to time. So | think we can close this and reopen if it appears again.
